1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

HELP PLEASE!

Discussion in 'Sony PSP - Mod and firmware discussion' started by alex23_23, Jan 15, 2007.

  1. alex23_23

    alex23_23 Member

    Joined:
    Jan 15, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    I have a v2.80 PSP (Non TA-082) and I am trying to downgrade it to v1.5 by following the instructions on this site:

    http://pspupdates.qj.net/Improved-2-80-Downgrader-released-by-Noobz-/pg/49/aid/79297

    I have followed all the steps except #3 (because I dont have a TA-082) but the 'UPDATE.PBP' file appears as 'Corrupted Data'!! What do I do? I have tried everything, my PSP version says it is 2.80 HEN, but it still doesn't work! Help?
     
  2. mrgooey

    mrgooey Regular member

    Joined:
    Nov 5, 2005
    Messages:
    4,058
    Likes Received:
    0
    Trophy Points:
    46

Share This Page